@article{jacquemin2021unified,
  title={A unified algorithm for the selection of collocation stencils for convex, concave, and singular problems},
  author={Jacquemin, Thibault and Bordas, St{\'e}phane PA},
  journal={International Journal for Numerical Methods in Engineering},
  volume={122},
  number={16},
  pages={4292--4312},
  year={2021},
  publisher={Wiley Online Library}
}
@article{davydov2011adaptive,
  title={Adaptive meshless centres and RBF stencils for Poisson equation},
  author={Davydov, Oleg and Oanh, Dang Thi},
  journal={Journal of Computational Physics},
  volume={230},
  number={2},
  pages={287--304},
  year={2011},
  publisher={Elsevier}
}
@inproceedings{slak2021partition,
  title={Partition-of-Unity Based Error Indicator for Local Collocation Meshless Methods},
  author={Slak, Jure},
  booktitle={2021 44th International Convention on Information, Communication and Electronic Technology (MIPRO)},
  pages={254--258},
  organization={IEEE}
}
@article{kosec2008local,
  title={Local RBF collocation method for Darcy flow},
  author={Kosec, Gregor and Sarler, B},
  journal={Computer Modeling in Engineering and Sciences},
  volume={25},
  number={3},
  pages={197},
  year={2008},
  publisher={Citeseer}
}
@book{sirca2012computational,
  title={Computational methods for physicists: compendium for students},
  author={Sirca, Simon and Horvat, Martin},
  year={2012},
  publisher={Springer}
}
@article{flyer2016role,
  title={On the role of polynomials in RBF-FD approximations: I. Interpolation and accuracy},
  author={Flyer, Natasha and Fornberg, Bengt and Bayona, Victor and Barnett, Gregory A},
  journal={Journal of Computational Physics},
  volume={321},
  pages={21--38},
  year={2016},
  publisher={Elsevier}
}
@article{bayona2017role,
  title={On the role of polynomials in RBF-FD approximations: II. Numerical solution of elliptic PDEs},
  author={Bayona, Victor and Flyer, Natasha and Fornberg, Bengt and Barnett, Gregory A},
  journal={Journal of Computational Physics},
  volume={332},
  pages={257--273},
  year={2017},
  publisher={Elsevier}
}
@article{slak2021medusa,
  title={Medusa: A c++ library for solving pdes using strong form mesh-free methods},
  author={Slak, Jure and Kosec, Gregor},
  journal={ACM Transactions on Mathematical Software (TOMS)},
  volume={47},
  number={3},
  pages={1--25},
  year={2021},
  publisher={ACM New York, NY, USA}
}
@article{janvcivc2021monomial,
  title={Monomial augmentation guidelines for rbf-fd from accuracy versus computational time perspective},
  author={Jan{\v{c}}i{\v{c}}, Mitja and Slak, Jure and Kosec, Gregor},
  journal={Journal of Scientific Computing},
  volume={87},
  number={1},
  pages={1--18},
  year={2021},
  publisher={Springer}
}
@article{slak2019refined,
  title={Refined meshless local strong form solution of Cauchy--Navier equation on an irregular domain},
  author={Slak, Jure and Kosec, Gregor},
  journal={Engineering analysis with boundary elements},
  volume={100},
  pages={3--13},
  year={2019},
  publisher={Elsevier}
}
@article{slak2019adaptive,
  title={Adaptive radial basis function--generated finite differences method for contact problems},
  author={Slak, Jure and Kosec, Gregor},
  journal={International Journal for Numerical Methods in Engineering},
  volume={119},
  number={7},
  pages={661--686},
  year={2019},
  publisher={Wiley Online Library}
}
@article{mavrivc2020equivalent,
  title={Equivalent-PDE based stabilization of strong-form meshless methods applied to advection-dominated problems},
  author={Mavri{\v{c}}, Bo{\v{s}}tjan and {\v{S}}arler, Bo{\v{z}}idar},
  journal={Engineering Analysis with Boundary Elements},
  volume={113},
  pages={315--327},
  year={2020},
  publisher={Elsevier}
}
@article{milovanovic2018radial,
  title={Radial basis function generated finite differences for option pricing problems},
  author={Milovanovi{\'c}, Slobodan and von Sydow, Lina},
  journal={Computers \& Mathematics with Applications},
  volume={75},
  number={4},
  pages={1462--1481},
  year={2018},
  publisher={Elsevier}
}
@article{lucy1977numerical,
  title={A numerical approach to the testing of the fission hypothesis},
  author={Lucy, Leon B},
  journal={The astronomical journal},
  volume={82},
  pages={1013--1024},
  year={1977}
}
@article{gingold1977smoothed,
  title={Smoothed particle hydrodynamics: theory and application to non-spherical stars},
  author={Gingold, Robert A and Monaghan, Joseph J},
  journal={Monthly notices of the royal astronomical society},
  volume={181},
  number={3},
  pages={375--389},
  year={1977},
  publisher={Oxford University Press Oxford, UK}
}
@article{onate2001finite,
  title={A finite point method for elasticity problems},
  author={O{\~n}ate, Eugenio and Perazzo, Franco and Miquel, J},
  journal={Computers \& Structures},
  volume={79},
  number={22-25},
  pages={2151--2163},
  year={2001},
  publisher={Elsevier}
}
@article{gavete2003improvements,
  title={Improvements of generalized finite difference method and comparison with other meshless method},
  author={Gavete, L and Gavete, ML and Benito, JJ1046},
  journal={Applied Mathematical Modelling},
  volume={27},
  number={10},
  pages={831--847},
  year={2003},
  publisher={Elsevier}
}
@article{tolstykh2003using,
  title={On using radial basis functions in a “finite difference mode” with applications to elasticity problems},
  author={Tolstykh, AI and Shirobokov, DA},
  journal={Computational Mechanics},
  volume={33},
  number={1},
  pages={68--79},
  year={2003},
  publisher={Springer}
}
@article{li2000point,
  title={Point placement for meshless methods using sphere packing and advancing front methods},
  author={Li, Xiang-Yang and Teng, Shang-Hua and Ungor, Alper},
  journal={ICCES’00, Los Angeles, USA},
  volume={20},
  pages={25},
  year={2000},
  publisher={Citeseer}
}
@article{lohner2004general,
  title={A general advancing front technique for filling space with arbitrary objects},
  author={L{\"o}hner, Rainald and O{\~n}ate, Eugenio},
  journal={International journal for numerical methods in engineering},
  volume={61},
  number={12},
  pages={1977--1991},
  year={2004},
  publisher={Wiley Online Library}
}
@article{kosec2018local,
  title={A local numerical solution of a fluid-flow problem on an irregular domain},
  author={Kosec, Gregor},
  journal={Advances in engineering software},
  volume={120},
  pages={36--44},
  year={2018},
  publisher={Elsevier}
}
@article{slak2019generation,
  title={On generation of node distributions for meshless PDE discretizations},
  author={Slak, Jure and Kosec, Gregor},
  journal={SIAM journal on scientific computing},
  volume={41},
  number={5},
  pages={A3202--A3229},
  year={2019},
  publisher={SIAM}
}
@misc{depolli2022parallel,
      title={Parallel domain discretization algorithm for RBF-FD and other meshless numerical methods for solving PDEs}, 
      author={Matjaž Depolli and Jure Slak and Gregor Kosec},
      year={2022},
      eprint={2202.01457},
      archivePrefix={arXiv},
      primaryClass={cs.DC}
}
@inproceedings{janvcivc2021p,
  title={p-refined RBF-FD solution of a Poisson problem},
  author={Jan{\v{c}}i{\v{c}}, Mitja and Slak, Jure and Kosec, Gregor},
  booktitle={2021 6th International Conference on Smart and Sustainable Technologies (SpliTech)},
  pages={01--06},
  year={2021},
  organization={IEEE}
}
@misc{rot2022refined,
      title={Refined RBF-FD analysis of non-Newtonian natural convection}, 
      author={Miha Rot and Gregor Kosec},
      year={2022},
      eprint={2202.08095},
      archivePrefix={arXiv},
      primaryClass={math.NA}
}
@article{prax1996diffuse,
title={Diffuse approximation method for solving natural convection in porous media},
author={Prax, C and Sadat, H and Salagnac, Patrick},
journal={Transport in Porous Media},
volume={22},
number={2},
pages={215--223},
year={1996},
publisher={Springer}
}
@article{zhang2000meshless,
title={Meshless methods based on collocation with radial basis functions},
author={Zhang, Xiong and Song, Kang Zhu and Lu, Ming Wan and Liu, X},
journal={Computational mechanics},
volume={26},
number={4},
pages={333--343},
year={2000},
publisher={Springer}
}
@article{liu2006stabilized,
  title={A stabilized least-squares radial point collocation method (LS-RPCM) for adaptive analysis},
  author={Liu, GR and Kee, Bernard BT and Chun, Lu},
  journal={Computer methods in applied mechanics and engineering},
  volume={195},
  number={37-40},
  pages={4843--4861},
  year={2006},
  publisher={Elsevier}
}
@article{davydov2022improved,
title={Improved Stencil Selection for Meshless Finite Difference Methods in 3D},
author={Davydov, Oleg and Oanh, Dang Thi and Tuong, Ngo Manh},
journal={arXiv preprint arXiv:2202.06426},
year={2022}
}
@inproceedings{TrobecDepolli2021,
  author = {Roman Trobec and Matja\v{z} Depolli},
  booktitle = {2021 44th International Convention on Information, Communication and Electronic Technology {(MIPRO)}},
  title = {A k-d Tree Based Partitioning of Computational Domains for Efficient Parallel Computing},
  year = {2021},
  pages = {284-290},
  doi = {10.23919/MIPRO52101.2021.9597006}
}
@inproceedings{DepolliTrobec2019,
  author = {Depolli, Matja\v{z} and Trobec, Roman},
  booktitle = {2019 42nd International Convention on Information and Communication Technology, Electronics and Microelectronics {(MIPRO)}},
  title = {Computational efficiency of linear system construction for {MLPG} method on a multicore computer},
  year = {2019},
  pages = {200-205},
  doi = {10.23919/MIPRO.2019.8757104}
} 